using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace StandManager.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class RinominataEntita : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_IscrizioneEvento_Provincie_ProvinciaId",
                table: "IscrizioneEvento");

            migrationBuilder.DropForeignKey(
                name: "FK_Provincie_Utente_IdUtenteCreazione",
                table: "Provincie");

            migrationBuilder.DropForeignKey(
                name: "FK_Provincie_Utente_IdUtenteModifica",
                table: "Provincie");

            migrationBuilder.DropPrimaryKey(
                name: "PK_Provincie",
                table: "Provincie");

            migrationBuilder.RenameTable(
                name: "Provincie",
                newName: "Province");

            migrationBuilder.RenameIndex(
                name: "IX_Provincie_IdUtenteModifica",
                table: "Province",
                newName: "IX_Province_IdUtenteModifica");

            migrationBuilder.RenameIndex(
                name: "IX_Provincie_IdUtenteCreazione",
                table: "Province",
                newName: "IX_Province_IdUtenteCreazione");

            migrationBuilder.AddPrimaryKey(
                name: "PK_Province",
                table: "Province",
                column: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_IscrizioneEvento_Province_ProvinciaId",
                table: "IscrizioneEvento",
                column: "ProvinciaId",
                principalTable: "Province",
                principalColumn: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_Province_Utente_IdUtenteCreazione",
                table: "Province",
                column: "IdUtenteCreazione",
                principalTable: "Utente",
                principalColumn: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_Province_Utente_IdUtenteModifica",
                table: "Province",
                column: "IdUtenteModifica",
                principalTable: "Utente",
                principalColumn: "Id");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_IscrizioneEvento_Province_ProvinciaId",
                table: "IscrizioneEvento");

            migrationBuilder.DropForeignKey(
                name: "FK_Province_Utente_IdUtenteCreazione",
                table: "Province");

            migrationBuilder.DropForeignKey(
                name: "FK_Province_Utente_IdUtenteModifica",
                table: "Province");

            migrationBuilder.DropPrimaryKey(
                name: "PK_Province",
                table: "Province");

            migrationBuilder.RenameTable(
                name: "Province",
                newName: "Provincie");

            migrationBuilder.RenameIndex(
                name: "IX_Province_IdUtenteModifica",
                table: "Provincie",
                newName: "IX_Provincie_IdUtenteModifica");

            migrationBuilder.RenameIndex(
                name: "IX_Province_IdUtenteCreazione",
                table: "Provincie",
                newName: "IX_Provincie_IdUtenteCreazione");

            migrationBuilder.AddPrimaryKey(
                name: "PK_Provincie",
                table: "Provincie",
                column: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_IscrizioneEvento_Provincie_ProvinciaId",
                table: "IscrizioneEvento",
                column: "ProvinciaId",
                principalTable: "Provincie",
                principalColumn: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_Provincie_Utente_IdUtenteCreazione",
                table: "Provincie",
                column: "IdUtenteCreazione",
                principalTable: "Utente",
                principalColumn: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_Provincie_Utente_IdUtenteModifica",
                table: "Provincie",
                column: "IdUtenteModifica",
                principalTable: "Utente",
                principalColumn: "Id");
        }
    }
}
